> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.glideapps.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Status

> Check whether a job is finished, and get its result

Returns the status of an asynchronous job.


## OpenAPI

````yaml get /jobs/{jobID}
openapi: 3.0.0
info:
  title: ''
  version: 0.0.1
servers:
  - description: Production
    url: https://api.glideapps.com
security:
  - BearerAuth: []
tags: []
paths:
  /jobs/{jobID}:
    get:
      description: Check whether a job is finished, and get its result
      parameters:
        - name: jobID
          in: path
          schema:
            type: string
            description: The ID of the job to check
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - running
                          - succeeded
                          - failed
                        description: The current status of the job
                      result:
                        description: The result of the job, if it `succeeded`
                      error:
                        type: object
                        properties:
                          message:
                            type: string
                            description: A message describing the error
                        required:
                          - message
                        additionalProperties: false
                        description: The error information, if the job `failed`
                    required:
                      - status
                    additionalProperties: false
                required:
                  - data
                additionalProperties: false
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - job_not_found
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth
        token](/api-reference/v2/general/authentication).

````